UiPath Documentation
test-cloud
latest
false
UiPath logo, featuring letters U and I in white

Test Cloud API guide

Last updated Apr 9, 2026

Allocate Licenses to a Group with Quota

As an organization admin, use this endpoint to allocate licenses to a group and optionally configure quotas to limit license consumption. Requires an external application with the scope PM.License.Write.

API Endpoint

PUT {accessURL}/{organizationName}/lease_/api/account/{accountId}/user-license/group/{groupId}/with-quota

Replace {accessURL} in all endpoint paths with the base URL for your cloud platform:

Cloud platformAccess URL
Test Cloudhttps://cloud.uipath.com/
Test Cloud Public Sectorhttps://govcloud.uipath.us/
Test Cloud Dedicatedhttps://{customURL}.dedicated.uipath.com/

Request Headers

--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'

Path Parameters

Path paramData typeDescription
accountId (required)GuidThe ID of the organization in which your tenant resides.
groupId (required)StringThe ID of the group you want to allocate licenses to. You can retrieve this ID by following these steps.

Request Body

{
    "userBundleCodes": ["string"],
    "quotas": [
        {
            "userBundleCode": "string",
            "limit": 10
        }
    ]
}
{
    "userBundleCodes": ["string"],
    "quotas": [
        {
            "userBundleCode": "string",
            "limit": 10
        }
    ]
}
Note:
  • userBundleCodes: Array of license codes to allocate (refer to user license codes).
  • quotas (optional): Quota configurations. Each userBundleCode in quotas must exist in the userBundleCodes array.
  • Quota limit must be at least 1 and cannot be lower than current usage.
  • If quotas are empty, licenses are allocated without limits.

Responses

200 OK

Returns the allocated group licenses with configured quotas and current usage.

404

Organization or group does not exist.

Example Request

The request should resemble the following example (cURL):

curl --location --request PUT 'https://https://cloud.uipath.com/{organizationName}/lease_/api/account/1234/user-license/group/group-01/with-quota' \
--header 'Authorization: Bearer {access_token}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "userBundleCodes": ["RPADEVPRONU", "IDU"],
    "quotas": [
        {
            "userBundleCode": "RPADEVPRONU",
            "limit": 10
        }
    ]
}'
curl --location --request PUT 'https://https://cloud.uipath.com/{organizationName}/lease_/api/account/1234/user-license/group/group-01/with-quota' \
--header 'Authorization: Bearer {access_token}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "userBundleCodes": ["RPADEVPRONU", "IDU"],
    "quotas": [
        {
            "userBundleCode": "RPADEVPRONU",
            "limit": 10
        }
    ]
}'

Here's the response body for a successful license allocation:

{
  "groupRule": {
    "groupId": "group-01",
    "organizationId": "1234",
    "userBundleCodes": ["RPADEVPRONU", "IDU"]
  },
  "quotas": [
    {
      "userBundleCode": "RPADEVPRONU",
      "limit": 10,
      "currentUsage": 3
    }
  ]
}
{
  "groupRule": {
    "groupId": "group-01",
    "organizationId": "1234",
    "userBundleCodes": ["RPADEVPRONU", "IDU"]
  },
  "quotas": [
    {
      "userBundleCode": "RPADEVPRONU",
      "limit": 10,
      "currentUsage": 3
    }
  ]
}
  • API Endpoint
  • Request Headers
  • Path Parameters
  • Request Body
  • Responses
  • 200 OK
  • 404
  • Example Request

Was this page helpful?

Connect

Need help? Support

Want to learn? UiPath Academy

Have questions? UiPath Forum

Stay updated